namespace _2023._10._18;

public class Gyak
{
    private static int gyakCount = 0;

    public Gyak()
    {
        gyakCount++;
    }

    public static int getGyakCount()
    {
        return gyakCount;
    }

    static Gyak()
    {
        System.Console.WriteLine("Statikus kontstruktor meghívva.");
    }
}

class Program
{
    static void Main(string[] args)
    {
        Gyak gyak1 = new Gyak();
        Gyak gyak2 = new Gyak();

        int count = Gyak.getGyakCount();
        System.Console.WriteLine($"Az osztály példányainak száma: {count}");
    }
}
